# Command: cvlit

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    cvlit - Convert name/string/procedure to literal/array

Synopsis:

      string cvlit -> literal
      name   cvlit -> literal
      proc   cvlit -> array

Examples:

      (joe)   cvlit -> /joe
      { 5 = } cvlit -> [5 =]

Description:

      cvlit converts a given name/string to a
      literal, a given function to an array.

Diagnostics:

      no errors are issued.

Remarks:

      The name follows the convention of PostScript and stands for
      ConVert to Literal.
      This is a typesafe wrapper to cvlit_n/cvlit_p.

Author:

      Marc-oliver Gewaltig, docu by HEP

      SeeAlso:  cst, cva, cv1d, cv2d, cvd, cvi, cvn, cvs, cvt_a

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/typeinit.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative